Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.extensions
Class TraceMessageTemplate

    java.lang.Object
      com.novell.xsl.process.TemplateCollection
          com.novell.xsl.process.MessageTemplate
              com.novell.xsl.extensions.TraceMessageTemplate

All Implemented Interfaces:
  Template

    public class TraceMessageTemplate

extends MessageTemplate

A template representing a `nxsl:trace-message` element.

Constructor Summary
`protected` | `TraceMessageTemplate(Template[] templates, boolean terminate, Node nsContext)` Constructs a `TraceMessageTemplate` containing the specified templates.

Method Summary
`void` | `dump(PrintWriter out, int indent)` Dumps this object to the specified output stream.
`void` | `instantiate(ProcessingEnv env, Node currentNode, ResultHandler result)` Instantiates this template for the specified current node and sends the result to the specified result handler.
`static Template` | `parse(StylesheetParser stylesheetParser, Element element)` Parse an nxsl:trace-message element (an extension element)

Methods inherited from class com.novell.xsl.process.TemplateCollection
`getNamespaceContext, getTemplates, instantiateTemplates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraceMessageTemplate

    protected TraceMessageTemplate(Template[] templates,
                                   boolean terminate,
                                   Node nsContext)

  Constructs a `TraceMessageTemplate` containing the specified templates.

  Parameters:
    `templates` - the contained templates
    `terminate` - if `true` the template should terminate processing when instantiated
    `nsContext` - The node in the style sheet from which this template comes

Method Detail

### parse

    public static Template parse(StylesheetParser stylesheetParser,
                                 Element element)
                          throws XSLTParserException

  Parse an nxsl:trace-message element (an extension element)

  Parameters:
    `stylesheetParser` - The `StylesheetParser` for which the element is to be parsed.
    `element` - The element node in the stylesheet.
  Returns:
    A TraceMessageTemplate object representing the nxsl:trace-message template
  Throws:
    `XSLTParserException`

### instantiate

    public void instantiate(ProcessingEnv env,
                            Node currentNode,
                            ResultHandler result)
                     throws XSLException

  Instantiates this template for the specified current node and sends the result to the specified result handler.

  For an `MessageTemplate`, this method instantiates this template's contained templates as a result tree fragment, then calls the MessageHandler interface from the ProcessingEnv

  Specified by:
    `instantiate` in interface `Template`
  Overrides:
    `instantiate` in class `MessageTemplate`
  Parameters:
    `env` - the current processing environment
    `currentNode` - the current source node
    `result` - the handler to which results are sent
  Throws:
    `XSLException` - if a fatal error occurs during instantiation

### dump

    public void dump(PrintWriter out,
                     int indent)

  Dumps this object to the specified output stream.

  Specified by:
    `dump` in interface `Template`
  Overrides:
    `dump` in class `MessageTemplate`
  Parameters:
    `out` - the output stream to write to
    `indent` - number of tabs to indent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD